
From: Ralf Baechle <ralf@linux-mips.org>

Local symbols generated by gcc start with a `$'; no point in including them
in the kernel.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 scripts/kallsyms.c |    3 +++
 1 files changed, 3 insertions(+)

diff -puN scripts/kallsyms.c~strip-local-symbols-from-kallsyms scripts/kallsyms.c
--- devel/scripts/kallsyms.c~strip-local-symbols-from-kallsyms	2005-07-25 23:27:39.000000000 -0700
+++ devel-akpm/scripts/kallsyms.c	2005-07-25 23:27:39.000000000 -0700
@@ -116,6 +116,9 @@ static int read_symbol(FILE *in, struct 
 	else if (toupper(stype) == 'U' ||
 		 is_arm_mapping_symbol(sym))
 		return -1;
+	/* exclude also MIPS ELF local symbols ($L123 instead of .L123) */
+	else if (str[0] == '$')
+		return -1;
 
 	/* include the type field in the symbol name, so that it gets
 	 * compressed together */
_
